import request from '@/utils/request'

// 查询实体类列表
export function listClass(query) {
  return request({
    url: '/knowledge/class/list',
    method: 'get',
    params: query
  })
}

// 查询实体类详细
export function getClass(entClsId) {
  return request({
    url: '/knowledge/class/' + entClsId,
    method: 'get'
  })
}

// 新增实体类
export function addClass(data) {
  return request({
    url: '/knowledge/class',
    method: 'post',
    data: data
  })
}

// 修改实体类
export function updateClass(data) {
  return request({
    url: '/knowledge/class',
    method: 'put',
    data: data
  })
}

// 删除实体类
export function delClass(entClsId) {
  return request({
    url: '/knowledge/class/' + entClsId,
    method: 'delete'
  })
}
